Package org.eclipse.jgit.transport

## Class NetRC

- java.lang.Object
- - org.eclipse.jgit.transport.NetRC

    public class NetRC
    extends Object

NetRC file parser.

Since:
  3.5

### Nested Class Summary

Nested Classes
`static class` `NetRC.NetRCEntry` .netrc file entry

### Constructor Summary

Constructors
`NetRC()`
`NetRC​(File netrc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<NetRC.NetRCEntry>` `getEntries()`
`NetRC.NetRCEntry` `getEntry​(String host)` Get entry by host name

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NetRC

    public NetRC()

#### NetRC

    public NetRC​(File netrc)

Parameters:
  `netrc` - the .netrc file

### Method Detail

#### getEntry

    public NetRC.NetRCEntry getEntry​(String host)

Get entry by host name

Parameters:
  `host` -
Returns:
  entry associated with host name or null

#### getEntries

    public Collection<NetRC.NetRCEntry> getEntries()

Returns:
  all entries collected from .netrc file